Xerces-C++: Wrapper4DOMLSInput Class Reference

# Wrapper4DOMLSInput Class Reference

Wrap a DOMLSInput object and make it behave like a SAX InputSource. More...

Inheritance diagram for Wrapper4DOMLSInput:

List of all members.

## Public Member Functions
Constructors and Destructor
| Wrapper4DOMLSInput (DOMLSInput *const inputSource, DOMLSResourceResolver *entityResolver=0, const bool adoptFlag=true, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructor.
virtual | ~Wrapper4DOMLSInput ()
| Destructor.
Virtual input source interface
BinInputStream * | makeStream () const
| Makes the byte stream for this input source.
Getter methods
const XMLCh * | getEncoding () const
| An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.
const XMLCh * | getPublicId () const
| Get the public identifier for this input source.
const XMLCh * | getSystemId () const
| Get the system identifier for this input source.
bool | getIssueFatalErrorIfNotFound () const
| Get the flag that indicates if the parser should issue fatal error if this input source is not found.
Setter methods
void | setEncoding (const XMLCh *const encodingStr)
| Set the encoding which will be required for use with the XML text read via a stream opened by this input source.
void | setPublicId (const XMLCh *const publicId)
| Set the public identifier for this input source.
void | setSystemId (const XMLCh *const systemId)
| Set the system identifier for this input source.
void | setIssueFatalErrorIfNotFound (const bool flag)
| Indicates if the parser should issue fatal error if this input source is not found.

## Detailed Description

Wrap a DOMLSInput object and make it behave like a SAX InputSource.

## Constructor & Destructor Documentation

Wrapper4DOMLSInput::Wrapper4DOMLSInput | ( | DOMLSInput *const | inputSource,
|  | DOMLSResourceResolver * | entityResolver = `0`,
|  | const bool | adoptFlag = `true`,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructor.

Wrap a DOMLSInput and make it behave like a SAX InputSource. By default, the wrapper will adopt the DOMLSInput that is wrapped.

Parameters:

  | inputSource | The DOMLSInput to be wrapped
  | entityResolver | The DOMLSResourceResolver to be used when resolving publicID entries
  | adoptFlag | Indicates if the wrapper should adopt the wrapped DOMLSInput. Default is true.
  | manager | Pointer to the memory manager to be used to allocate objects.

virtual Wrapper4DOMLSInput::~Wrapper4DOMLSInput | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

BinInputStream* Wrapper4DOMLSInput::makeStream | ( |  | ) | const`[virtual]`

Makes the byte stream for this input source.

The function will call the makeStream of the wrapped input source. The returned stream becomes the parser's property.

See also:
  BinInputStream

Implements InputSource.

const XMLCh* Wrapper4DOMLSInput::getEncoding | ( |  | ) | const`[virtual]`

An input source can be set to force the parser to assume a particular encoding for the data that input source reprsents, via the setEncoding() method.

This method will delegate to the wrapped input source to return name of the encoding that is to be forced. If the encoding has never been forced, it returns a null pointer.

Returns:
  The forced encoding, or null if none was supplied.

See also:
  setEncoding

Reimplemented from InputSource.

const XMLCh* Wrapper4DOMLSInput::getPublicId | ( |  | ) | const`[virtual]`

Get the public identifier for this input source.

Delegated to the wrapped input source object.

Returns:
  The public identifier, or null if none was supplied.

See also:
  setPublicId

Reimplemented from InputSource.

const XMLCh* Wrapper4DOMLSInput::getSystemId | ( |  | ) | const`[virtual]`

Get the system identifier for this input source.

Delegated to the wrapped input source object.

If the system ID is a URL, it will be fully resolved.

Returns:
  The system identifier.

See also:
  setSystemId

Reimplemented from InputSource.

bool Wrapper4DOMLSInput::getIssueFatalErrorIfNotFound | ( |  | ) | const`[virtual]`

Get the flag that indicates if the parser should issue fatal error if this input source is not found.

Delegated to the wrapped input source object.

Returns:
  True if the parser should issue fatal error if this input source is not found. False if the parser issue warning message instead.

See also:
  setIssueFatalErrorIfNotFound

Reimplemented from InputSource.

void Wrapper4DOMLSInput::setEncoding | ( | const XMLCh *const | encodingStr | ) | `[virtual]`

Set the encoding which will be required for use with the XML text read via a stream opened by this input source.

This will update the wrapped input source object.

This is usually not set, allowing the encoding to be sensed in the usual XML way. However, in some cases, the encoding in the file is known to be incorrect because of intermediate transcoding, for instance encapsulation within a MIME document.

Parameters:

  | encodingStr | The name of the encoding to force.

Reimplemented from InputSource.

void Wrapper4DOMLSInput::setPublicId | ( | const XMLCh *const | publicId | ) | `[virtual]`

Set the public identifier for this input source.

This will update the wrapped input source object.

The public identifier is always optional: if the application writer includes one, it will be provided as part of the location information.

Parameters:

  | publicId | The public identifier as a string.

See also:
  Locator::getPublicId

  SAXParseException::getPublicId

  getPublicId

Reimplemented from InputSource.

void Wrapper4DOMLSInput::setSystemId | ( | const XMLCh *const | systemId | ) | `[virtual]`

Set the system identifier for this input source.

This will update the wrapped input source object.

The system id is always required. The public id may be used to map to another system id, but the system id must always be present as a fall back.

If the system ID is a URL, it must be fully resolved.

Parameters:

  | systemId | The system identifier as a string.

See also:
  getSystemId

  Locator::getSystemId

  SAXParseException::getSystemId

Reimplemented from InputSource.

void Wrapper4DOMLSInput::setIssueFatalErrorIfNotFound | ( | const bool | flag | ) | `[virtual]`

Indicates if the parser should issue fatal error if this input source is not found.

If set to false, the parser issue warning message instead. This will update the wrapped input source object.

Parameters:

  | flag | True if the parser should issue fatal error if this input source is not found. If set to false, the parser issue warning message instead. (Default: true)

See also:
  getIssueFatalErrorIfNotFound

Reimplemented from InputSource.

The documentation for this class was generated from the following file:

- Wrapper4DOMLSInput.hpp